{
  "name": "datatourisme/api",
  "license": "MIT",
  "keywords": ["graphql","datatourisme","api","sparql","opendata"],
  "type": "library",
  "version": "2.4.5",
  "homepage": "https://www.datatourisme.gouv.fr",
  "authors": [
    {
      "name": "Conjecto",
      "email": "contact@conjecto.com"
    }
  ],
  "support": {
    "docs": "https://datatourisme.frama.io/api/",
    "source": "https://framagit.org/datatourisme/api"
  },
  "autoload": {
    "psr-4": {
      "Datatourisme\\Api\\": "src/",
      "Tests\\Datatourisme\\Api\\": "tests/"
    }
  },
  "autoload-dev": {
    "psr-4": {
      "Tests\\": "tests/"
    }
  },
  "require": {
    "php": ">=7.0.0",
    "youshido/graphql": "1.5.4",
    "symfony/yaml": "^3.0 || ^4.0",
    "twig/twig": "^2.4",
    "easyrdf/easyrdf": "^1.1.1"
  },
  "require-dev": {
    "phpunit/phpunit": "^7.1",
    "phpunit/php-invoker": "^2.0",
    "phpunit/php-code-coverage": "^6.0",
    "friendsofphp/php-cs-fixer": "^2.0",
    "symfony/var-dumper": "^4.0"
  },
  "scripts": {
    "clean": "vendor/bin/php-cs-fixer fix -v --using-cache=no",
    "doc-serve": "docsify serve docs",
    "graphql-endpoint": "php -S 127.0.0.1:8080 -t tests/",
    "doc-generate": [
      "node_modules/.bin/graphql-markdown http://127.0.0.1:8080/endpoint.php > docs/api/reference.md",
      "sed -i -e \"s/# Schema Types/# Référence/g\" docs/api/reference.md",
      "sed -i -e \"s/href=\\\"#/href=\\\"#\\/api\\/reference?id=/g\" docs/api/reference.md",
      "sed -i -e \"s/id=pointofinterest_sort/id=pointofinterest/g\" docs/api/reference.md",
      "sed -i -e \"s/id=pointofinterest_filter/id=pointofinterest/g\" docs/api/reference.md",
      "sed -i -e \"s/<th align=\\\"right\\\">Argument<\\\/th>//g\" docs/api/reference.md",
      "sed -i -e \"s/<th align=\\\"left\\\">Field<\\\/th>/<th align=\\\"left\\\" colspan=\\\"2\\\">Field<\\\/th>/g\" docs/api/reference.md",
      "sed -i -e \"s/<details>//g\" docs/api/reference.md",
      "sed -i -e \"s/<\\/details>//g\" docs/api/reference.md",
      "sed -i -e \"s/<summary><strong>Table of Contents<\\/strong><\\/summary>//g\" docs/api/reference.md"
    ]
  }
}
